---
title: PaymentRequestEvent.paymentRequestOrigin
slug: Web/API/PaymentRequestEvent/paymentRequestOrigin
tags:
  - API
  - Payment Request API
  - PaymentRequestEvent
  - Property
  - Reference
  - payment
  - paymentRequestOrigin
---
<p>{{SeeCompatTable}}{{APIRef("Payment Request API")}}</p>

<p>The <strong><code>paymentRequestOrigin</code></strong> read-only property of the {{domxref("PaymentRequestEvent")}} interface returns the origin where the {{domxref("PaymentRequest")}} object was initialized.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>aUsvString</em> = <em>paymentRequestEvent</em>.paymentRequestOrigin</pre>

<h3 id="Value">Value</h3>

<p>A USVString.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment Handler','#paymentrequestorigin-attribute','paymentRequestOrigin')}}</td>
   <td>{{Spec2('Payment Handler')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PaymentRequestEvent.paymentRequestOrigin")}}</p>
